import Confirmation from "../components/top-level/confirmation";
import { useLocation } from "react-router-dom";
import { useNavigate } from "react-router-dom";
export function _Confirmation() {
  const location = useLocation();
  const seatCount = location.state.seatCount;
  const seats = location.state.seats;
  const id = location.state.id;
  const seatLimit = location.state.limit;
  const navigate = useNavigate();
  const handleModify = (e) => {
    e.preventDefault();
    navigate(`/booking/${id}/${seatLimit}`);
  };
  return (
    <Confirmation
      id={id}
      seatCount={seatCount}
      seats={seats}
      onEdit={handleModify}
    />
  );
}
