import { useEffect, useState } from "react";
import { useAppContext } from "../_context";
import Login from "../components/top-level/login";
import { useNavigate } from "react-router-dom";
export function _Login() {
  const navigate = useNavigate();

  const { userseats, LoginOrRegister, GetAllReservedSeats } = useAppContext();
  useEffect(() => {
    GetAllReservedSeats();
  }, []);
  const handleLogin = async ({ mobile }) => {
    const users = await LoginOrRegister({ mobile });
    if (users != null) {
      const userstate = userseats.filter((e) =>
        e.id == users.id ? true : false
      );
      if (userstate.length) {
        navigate(`/booking/${userstate[0].id}/${userstate[0].seats.length}`);
      } else {
        navigate(`/seat-limit/${users.id}`);
      }
    }
  };
  return <Login onSubmit={handleLogin} />;
}
